LibreOffice: XDeck Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDeck Interface Reference

provides access to Deck More...

`import"XDeck.idl";`

## Public Member Functions
string | getId ()
| The deck identifier. More...
string | getTitle ()
| Get the deck title string. More...
void | setTitle ([in] string newTitle)
| Set the deck title string. More...
boolean | isActive ()
| Is the deck the active one. More...
void | activate ([in] boolean bActivate)
| Activate the deck and display its content. More...
long | getOrderIndex ()
| Get the ordering index of the deck button in sidebar. More...
void | setOrderIndex ([in] long newOrderIndex)
| Set the ordering index of the deck button in sidebar. More...
void | moveFirst ()
| Move deck button at first position in sidebar. More...
void | moveLast ()
| Move deck button at last position in sidebar. More...
void | moveUp ()
| Move deck one step up in the sidebar. More...
void | moveDown ()
| Move deck one step down in the sidebar. More...
com::sun::star::ui::XPanels | getPanels ()
| Panels collection attached to the deck. More...

## Detailed Description

provides access to Deck

Since
  LibreOffice 5.1

## Member Function Documentation

## ◆ activate()

void activate | ( | [in] boolean | bActivate | ) |

Activate the deck and display its content.

Parameters

  bActivate | The requested state for the deck TRUE sets the deck as the active one FALSE hide the deck and defaults to the first deck of the sidebar

## ◆ getId()

string getId | ( |  | ) |

The deck identifier.

## ◆ getOrderIndex()

long getOrderIndex | ( |  | ) |

Get the ordering index of the deck button in sidebar.

## ◆ getPanels()

com::sun::star::ui::XPanels getPanels | ( |  | ) |

Panels collection attached to the deck.

## ◆ getTitle()

string getTitle | ( |  | ) |

Get the deck title string.

## ◆ isActive()

boolean isActive | ( |  | ) |

Is the deck the active one.

## ◆ moveDown()

void moveDown | ( |  | ) |

Move deck one step down in the sidebar.

## ◆ moveFirst()

void moveFirst | ( |  | ) |

Move deck button at first position in sidebar.

## ◆ moveLast()

void moveLast | ( |  | ) |

Move deck button at last position in sidebar.

## ◆ moveUp()

void moveUp | ( |  | ) |

Move deck one step up in the sidebar.

## ◆ setOrderIndex()

void setOrderIndex | ( | [in] long | newOrderIndex | ) |

Set the ordering index of the deck button in sidebar.

Parameters

  newOrderIndex | The new position

## ◆ setTitle()

void setTitle | ( | [in] string | newTitle | ) |

Set the deck title string.

Parameters

  newTitle | The new title string

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XDeck.idl